Get Concurrent Activities (v1) Deprecated

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /public/v1/projects/{projectId}/scenarios/{scenarioId}/activities/concurrent-activities

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required

Query parameters

  • filterId array[integer(int64)]
  • activityCodeFilter array[integer(int64)]

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • activityId integer(int64)
    • concurrentActivities array[object]
      Hide concurrentActivities attributes Show concurrentActivities attributes object
      • startOverlapDate string(date)
      • finishOverlapDate string(date)
      • concurrentActivity object
        Hide concurrentActivity attributes Show concurrentActivity attributes object
        • performanceTrack boolean
        • percentCompleteType string

          Values are DURATION, PHYSICAL, or UNITS.

        • updatedPlannedDurationHours number(double)
        • notComplete boolean
        • calendarId integer(int64)
        • customId string
        • constrainedDate string(date-time)
        • resumeDate string(date-time)
        • updatedPlannedDuration number(double)
        • externalProjectId integer(int32)
        • plannedDuration number(double)
        • plannedDurationHours number(double)
        • plannedManpower number(double)
        • actualManpower number(double)
        • plannedBudget number(double)
        • plannedStartDate string(date-time)
        • plannedFinishDate string(date-time)
        • percentComplete number(double)
        • nativeFloatTotal number(double)
        • remainingDurationHours number(double)
        • actualDuration number(double)
        • actualDurationHours number(double)
        • actualStartDate string(date-time)
        • actualFinishDate string(date-time)
        • activityType string

          Values are TaskDependent, Task, StartMilestone, FinishMilestone, or LevelOfEffort.

        • constraintGenerated boolean
        • wbsCodeId integer(int32)
        • retainLogic boolean
        • externalId string
        • isExcludeFromProgress boolean
        • physicalPercentComplete number(double)
        • unitsPercentComplete number(double)
        • conditionalBreakType string

          Values are TimePeriod, Shift, or WorkPattern.

        • startOnNewDay boolean
        • sourceStartDate string(date-time)
        • sourceFinishDate string(date-time)
        • sourceActualStartDate string(date-time)
        • sourceActualFinishDate string(date-time)
        • sourceDurationPercentComplete number(double)
        • name string
        • id integer(int64)
        • started boolean
        • completed boolean
        • constraintType string

          Values are AsLateAsPossible, FinishOn, FinishOnOrAfter, FinishOnOrBefore, MandatoryFinish, MandatoryStart, StartOn, StartOnOrAfter, StartOnOrBefore, ExternalStart, or Resume.

        • order integer(int32)
        • startDate string(date-time)
        • finishDate string(date-time)
        • deleted boolean
        • floatTotal number(double)
        • floatFree number(double)
        • lateStartDate string(date-time)
        • lateFinishDate string(date-time)
        • remainingDuration number(double)
        • predecessorDrivers array[integer(int64)]
        • inLongestPath boolean
        • scenarioId integer(int64)
        • dateCreated string(date)
GET /public/v1/projects/{projectId}/scenarios/{scenarioId}/activities/concurrent-activities
curl \
 --request GET 'https://live.smartpmtech.com/public/v1/projects/{projectId}/scenarios/{scenarioId}/activities/concurrent-activities' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "activityId": 42,
    "concurrentActivities": [
      {
        "startOverlapDate": "2026-05-04",
        "finishOverlapDate": "2026-05-04",
        "concurrentActivity": {
          "performanceTrack": true,
          "percentCompleteType": "DURATION",
          "updatedPlannedDurationHours": 42.0,
          "notComplete": true,
          "calendarId": 42,
          "customId": "string",
          "constrainedDate": "2026-05-04T09:42:00Z",
          "resumeDate": "2026-05-04T09:42:00Z",
          "updatedPlannedDuration": 42.0,
          "externalProjectId": 42,
          "plannedDuration": 42.0,
          "plannedDurationHours": 42.0,
          "plannedManpower": 42.0,
          "actualManpower": 42.0,
          "plannedBudget": 42.0,
          "plannedStartDate": "2026-05-04T09:42:00Z",
          "plannedFinishDate": "2026-05-04T09:42:00Z",
          "percentComplete": 42.0,
          "nativeFloatTotal": 42.0,
          "remainingDurationHours": 42.0,
          "actualDuration": 42.0,
          "actualDurationHours": 42.0,
          "actualStartDate": "2026-05-04T09:42:00Z",
          "actualFinishDate": "2026-05-04T09:42:00Z",
          "activityType": "TaskDependent",
          "constraintGenerated": true,
          "wbsCodeId": 42,
          "retainLogic": true,
          "externalId": "string",
          "isExcludeFromProgress": true,
          "physicalPercentComplete": 42.0,
          "unitsPercentComplete": 42.0,
          "conditionalBreakType": "TimePeriod",
          "startOnNewDay": true,
          "sourceStartDate": "2026-05-04T09:42:00Z",
          "sourceFinishDate": "2026-05-04T09:42:00Z",
          "sourceActualStartDate": "2026-05-04T09:42:00Z",
          "sourceActualFinishDate": "2026-05-04T09:42:00Z",
          "sourceDurationPercentComplete": 42.0,
          "name": "string",
          "id": 42,
          "started": true,
          "completed": true,
          "constraintType": "AsLateAsPossible",
          "order": 42,
          "startDate": "2026-05-04T09:42:00Z",
          "finishDate": "2026-05-04T09:42:00Z",
          "deleted": true,
          "floatTotal": 42.0,
          "floatFree": 42.0,
          "lateStartDate": "2026-05-04T09:42:00Z",
          "lateFinishDate": "2026-05-04T09:42:00Z",
          "remainingDuration": 42.0,
          "predecessorDrivers": [
            42
          ],
          "inLongestPath": true,
          "scenarioId": 42,
          "dateCreated": "2026-05-04"
        }
      }
    ]
  }
]